One rankings board
curl --request GET \
--url https://api.monid.ai/public/v1/rankings/{board}import requests
url = "https://api.monid.ai/public/v1/rankings/{board}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.monid.ai/public/v1/rankings/{board}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monid.ai/public/v1/rankings/{board}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monid.ai/public/v1/rankings/{board}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monid.ai/public/v1/rankings/{board}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monid.ai/public/v1/rankings/{board}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"rank": 123,
"provider": "<string>",
"name": "<string>",
"runs": 123,
"previousRuns": 123,
"wow": 123,
"endpoints": 123,
"topEndpoint": "<string>",
"weekly": [
123
],
"blurb": "<string>",
"example": "<string>"
}
],
"asOf": "<string>",
"kind": "providers",
"cursor": "<string>"
}{
"code": 400,
"message": "Bad Request",
"hints": {},
"errorCode": "RATE_LIMITED"
}{
"code": 400,
"message": "Bad Request",
"hints": {},
"errorCode": "RATE_LIMITED"
}{
"code": 400,
"message": "Bad Request",
"hints": {},
"errorCode": "RATE_LIMITED"
}Rankings
One rankings board
The rows of one board listed by GET /public/v1/rankings, best first, 50 per page by default (at most 100).
GET
/
public
/
v1
/
rankings
/
{board}
One rankings board
curl --request GET \
--url https://api.monid.ai/public/v1/rankings/{board}import requests
url = "https://api.monid.ai/public/v1/rankings/{board}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.monid.ai/public/v1/rankings/{board}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monid.ai/public/v1/rankings/{board}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monid.ai/public/v1/rankings/{board}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monid.ai/public/v1/rankings/{board}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monid.ai/public/v1/rankings/{board}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"rank": 123,
"provider": "<string>",
"name": "<string>",
"runs": 123,
"previousRuns": 123,
"wow": 123,
"endpoints": 123,
"topEndpoint": "<string>",
"weekly": [
123
],
"blurb": "<string>",
"example": "<string>"
}
],
"asOf": "<string>",
"kind": "providers",
"cursor": "<string>"
}{
"code": 400,
"message": "Bad Request",
"hints": {},
"errorCode": "RATE_LIMITED"
}{
"code": 400,
"message": "Bad Request",
"hints": {},
"errorCode": "RATE_LIMITED"
}{
"code": 400,
"message": "Bad Request",
"hints": {},
"errorCode": "RATE_LIMITED"
}Path Parameters
Example:
"most-used-tools"
Query Parameters
Max items per page (server-side cap applies).
Example:
20
Cursor returned by the previous page.
One of the board's windows in GET /public/v1/rankings; 7d by default.
Available options:
7d, 30d Example:
"30d"
Endpoint boards only: a category id from GET /public/v1/rankings. An unknown id matches nothing.
Example:
"social-media"